The Liberty profile has support for java 8 for some time. If you want java 8 on WebSphere 8.5.5 full profile you must apply the fix pack 9 first.

Installing the optional Java 7.0 or Java 7.1 or 8 does not imply that profiles can take advantage of this new version of Java.  The managesdk command has to be used to switch Java or the WAS Admin Console. wsadmin can also be used.

Instructions on how to use the managesdk can be read on this IBM TN

See the SDK version for each WAS version on this link

WebSphere